net.minecraft.client.particle

## Class EntityFX

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.client.particle.EntityFX

- Direct Known Subclasses:
    EntityAuraFX, EntityBreakingFX, EntityBubbleFX, EntityCloudFX, EntityCrit2FX, EntityCritFX, EntityDiggingFX, EntityDropParticleFX, EntityEnchantmentTableParticleFX, EntityExplodeFX, EntityFireworkOverlayFX, EntityFireworkSparkFX, EntityFireworkStarterFX, EntityFlameFX, EntityFootStepFX, EntityHeartFX, EntityHugeExplodeFX, EntityLargeExplodeFX, EntityLavaFX, EntityNoteFX, EntityPickupFX, EntityPortalFX, EntityRainFX, EntityReddustFX, EntitySmokeFX, EntitySnowShovelFX, EntitySpellParticleFX, EntitySuspendFX

      public class EntityFX
      extends Entity

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `interpPosX`
    `static double` | `interpPosY`
    `static double` | `interpPosZ`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, field_98038_p, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityFX(World par1World, double par2, double par4, double par6, double par8, double par10, double par12)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canAttackWithItem()` If returns false, the item will not inflict any damage against entities.
    `void` | `func_94052_a(RenderEngine par1RenderEngine, Icon par2Icon)`
    `void` | `func_94053_h()`
    `float` | `getBlueColorF()`
    `int` | `getFXLayer()`
    `float` | `getGreenColorF()`
    `float` | `getRedColorF()`
    `EntityFX` | `multipleParticleScaleBy(float par1)`
    `EntityFX` | `multiplyVelocity(float par1)`
    `void` | `onUpdate()` Called to update the entity's position/logic.
    `void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
    `void` | `renderParticle(Tessellator par1Tessellator, float par2, float par3, float par4, float par5, float par6, float par7)`
    `void` | `setAlphaF(float par1)` Sets the particle alpha (float)
    `void` | `setParticleTextureIndex(int par1)` Public method to set private field particleTextureIndex.
    `void` | `setRBGColorF(float par1, float par2, float par3)`
    `String` | `toString()`
    `void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, attackEntityFrom, canBeCollidedWith, canBePushed, canRenderOnFire, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82143_as, func_82146_a, func_82148_at, func_82149_j, func_85029_a, func_85031_j, func_96090_ax, func_96091_a, func_96092_aw, func_98034_c, func_98035_c, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getEyeHeight, getHasActivePotion, getLastActiveItems, getLookVec, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getRotationYawHead, getShadowSize, getTexture, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isCreatureType, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, playSound, readFromNBT, resetEntityId, setAir, setAngles, setCurrentItemOrArmor, setDead, setEating, setFire, setHasActivePotion, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setPositionAndRotation2, setRotationYawHead, setSneaking, setSprinting, setVelocity, setWorld, shouldRenderInPass, shouldRiderSit, travelToDimension, unmountEntity, updateCloak, updateRidden, updateRiderPosition, writeToNBT`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### interpPosX

          public static double interpPosX

    - #### interpPosY

          public static double interpPosY

    - #### interpPosZ

          public static double interpPosZ

  - ### Constructor Detail

    - #### EntityFX

          public EntityFX(World par1World,
                  double par2,
                  double par4,
                  double par6,
                  double par8,
                  double par10,
                  double par12)

  - ### Method Detail

    - #### multiplyVelocity

          public EntityFX multiplyVelocity(float par1)

    - #### multipleParticleScaleBy

          public EntityFX multipleParticleScaleBy(float par1)

    - #### setRBGColorF

          public void setRBGColorF(float par1,
                          float par2,
                          float par3)

    - #### setAlphaF

          public void setAlphaF(float par1)

      Sets the particle alpha (float)

    - #### getRedColorF

          public float getRedColorF()

    - #### getGreenColorF

          public float getGreenColorF()

    - #### getBlueColorF

          public float getBlueColorF()

    - #### onUpdate

          public void onUpdate()

      Called to update the entity's position/logic.
      Overrides:
        `onUpdate` in class `Entity`

    - #### renderParticle

          public void renderParticle(Tessellator par1Tessellator,
                            float par2,
                            float par3,
                            float par4,
                            float par5,
                            float par6,
                            float par7)

    - #### getFXLayer

          public int getFXLayer()

    - #### writeEntityToNBT

          public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

      (abstract) Protected helper method to write subclass entity data to NBT.

    - #### readEntityFromNBT

          public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

      (abstract) Protected helper method to read subclass entity data from NBT.

    - #### func_94052_a

          public void func_94052_a(RenderEngine par1RenderEngine,
                          Icon par2Icon)

    - #### setParticleTextureIndex

          public void setParticleTextureIndex(int par1)

      Public method to set private field particleTextureIndex.

    - #### func_94053_h

          public void func_94053_h()

    - #### canAttackWithItem

          public boolean canAttackWithItem()

      If returns false, the item will not inflict any damage against entities.
      Overrides:
        `canAttackWithItem` in class `Entity`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Entity`